apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: minio
  namespace: minio
spec:
  interval: 5m
  timeout: 10m
  values:
    nameOverride: "minio"
    mode: standalone
    environment:
      MINIO_SERVER_URL: "https://minio.contour.infra.sarex.tech"
      MINIO_BROWSER_REDIRECT_URL: "https://minio.contour.infra.sarex.tech/console/"
      MINIO_API_CORS_ALLOW_ORIGIN: "https://minio.contour.infra.sarex.tech"
    imagePullSecrets:
      - name: regcred
    vaultRoot:
      enabled: true
      role: minio
      authPath: auth/kubernetes
      secretPath: secrets/data/minio/admin
      rootUserKey: rootUser
      rootPasswordKey: rootPassword
    drivesPerNode: 1
    replicas: 1
    nodeSelector:
      dedicated: s3
    tolerations:
      - key: dedicated
        operator: Equal
        value: s3
        effect: NoSchedule
    persistence:
      storageClass: local-path
      size: 100Gi
    resources:
      requests:
        memory: 1Gi
